%define rname glibmm
%define major 2.22

Name: libglibmm
Version: %major.1
Release: alt1
Summary: C++ wrapper for GLib
License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/glibmm/%major/%rname-%version.tar.bz2

AutoReq: yes, noperl
BuildRequires: gcc-c++ libgio-devel >= %version libsigc++2.0-devel

%description
A C++ interface for glib library.

This package contains the library needed to run programs dynamically
linked with glibmm.

%package devel
Summary: Headers and development files of glibmm
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
A C++ interface for glib library.

This package contains the headers and development files that are needed,
when trying to develop or compile applications which need glibmm.

%package doc
Summary: glibmm documentation
Group: Books/Other
BuildArch: noarch

%description doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
glibmm originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for glibmm.

%add_findreq_skiplist %_libdir/%rname-2.4/proc/*

%prep
%setup -q -n %rname-%version

%build
%configure \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%check
%make check

%files
%doc AUTHORS NEWS
%_libdir/*.so.*

%files devel
%_includedir/g*mm-2.4
%_libdir/*.so
%_libdir/g*mm-2.4
%_pkgconfigdir/*.pc
%_datadir/%rname-2.4
%_datadir/aclocal/*.m4
%_datadir/devhelp/books/%rname-2.4

%files doc
%_docdir/%rname-2.4

%changelog
* Fri Oct 02 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.22.1-alt1
- 2.22.1

* Mon Sep 21 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.20.2-alt1
- 2.20.2

* Tue Nov 04 2008 Vitaly Lipatov <lav@altlinux.ru> 2.18.1-alt1
- new version 2.18.1 (with rpmrb script)

* Sat Apr 12 2008 Vitaly Lipatov <lav@altlinux.ru> 2.16.1-alt1
- new version 2.16.1 (with rpmrb script)

* Sun Jan 13 2008 Vitaly Lipatov <lav@altlinux.ru> 2.14.2-alt1
- new version (2.14.2)
- rename source package to libglibmm
- cleanup spec

* Sun Apr 29 2007 Vitaly Lipatov <lav@altlinux.ru> 2.13.4-alt1
- new version 2.13.4 (with rpmrb script)

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.13.3-alt1
- new version 2.13.3 (with rpmrb script)

* Sun Nov 12 2006 Vitaly Lipatov <lav@altlinux.ru> 2.13.2-alt0.1
- new version 2.13.2 (with rpmrb script)

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 2.12.0-alt0.1
- new version 2.12.0 (with rpmrb script)

* Fri Jul 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.11.2-alt0.1
- new version 2.11.2 (with rpmrb script)
- use major in spec

* Tue Feb 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt0.1
- new version 2.9.1 (with rpmrb script)

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version

* Thu Jan 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.4-alt1
- new version
- build with gcc3.4

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.1-alt1
- new version
- fix static package
- fix descriptions

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.5-alt1
- new version

* Sat Sep 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.4-alt1
- new version

* Thu Jul 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.3-alt1
- new version
- use a macro for ldconfig
- remove LICENSE from doc

* Wed Jun 09 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.2-alt1
- new version

* Mon May 24 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt1
- first build for Sisyphus (thanks Mandrake)

* Tue May 04 2004 Abel Cheung <deaddog@deaddog.org> 2.4.1-1mdk
- New version

* Tue Apr 27 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-1mdk
- First Mandrake package

